# Sample YAML File: Complex Nested Data
# Provided by Sample-Files.com
# Deep nesting, mixed types, multiline strings, and flow syntax

organization:
  name: "Acme Corporation"
  founded: 1985
  active: true
  website: https://acme.example.com
  
  # Multiline string using literal block scalar (preserves newlines)
  mission_statement: |
    At Acme Corporation, we are committed to delivering
    innovative solutions that empower businesses worldwide.
    
    Our core values are integrity, excellence, and collaboration.
    We believe in building products that make a difference.
  
  # Multiline string using folded block scalar (folds newlines to spaces)
  tagline: >
    Building the future,
    one innovation at a time,
    for a better tomorrow.
  
  # Literal block with strip indicator (removes trailing newlines)
  legal_notice: |-
    Copyright (c) 2025 Acme Corporation.
    All rights reserved.
    Licensed under the MIT License.
  
  headquarters:
    address:
      street: "123 Innovation Drive"
      suite: "Floor 42"
      city: "San Francisco"
      state: "CA"
      zip: "94105"
      country: "US"
    coordinates:
      latitude: 37.7749
      longitude: -122.4194
    contact:
      phone: "+1-415-555-0100"
      fax: "+1-415-555-0199"
      email: info@acme.example.com

  departments:
    engineering:
      head: "Alice Chen"
      budget: 5200000
      headcount: 85
      teams:
        - name: "Frontend"
          lead: "Frank Liu"
          members: 12
          technologies: [React, TypeScript, Next.js, Tailwind CSS]
          projects:
            - {name: "Dashboard v3", status: active, priority: high}
            - {name: "Mobile App", status: planning, priority: medium}
        - name: "Backend"
          lead: "Iris Nakamura"
          members: 18
          technologies:
            - Python
            - Go
            - PostgreSQL
            - Redis
            - Kafka
          projects:
            - name: "API v2 Migration"
              status: active
              priority: critical
              milestones:
                - {name: "Design Review", date: 2025-03-01, completed: true}
                - {name: "Alpha Release", date: 2025-06-01, completed: false}
                - {name: "GA Release", date: 2025-09-01, completed: false}
        - name: "Infrastructure"
          lead: "David Kim"
          members: 8
          technologies: [Kubernetes, Terraform, AWS, Prometheus, Grafana]
          
    marketing:
      head: "Carol Johnson"
      budget: 1800000
      headcount: 22
      channels:
        digital:
          seo: {budget: 180000, agency: "SearchPro Inc"}
          sem: {budget: 360000, platforms: [Google Ads, Bing Ads]}
          social: {budget: 240000, platforms: [LinkedIn, Twitter, Instagram]}
        content:
          blog_posts_per_month: 8
          newsletter_subscribers: 45000
          podcast:
            name: "Acme Insights"
            episodes: 52
            platforms: [Spotify, Apple Podcasts, YouTube]

    sales:
      head: "Karen Singh"
      budget: 2100000
      headcount: 35
      regions:
        - name: "North America"
          revenue: 12500000
          growth: 0.18
          accounts: 450
          team_size: 15
        - name: "Europe"
          revenue: 8200000
          growth: 0.24
          accounts: 280
          team_size: 10
        - name: "Asia Pacific"
          revenue: 4100000
          growth: 0.35
          accounts: 120
          team_size: 7

  metrics:
    financial:
      revenue: {2022: 18500000, 2023: 22300000, 2024: 26800000}
      growth_rate: 0.20
      profit_margin: 0.15
    customers:
      total: 850
      enterprise: 120
      mid_market: 280
      smb: 450
      churn_rate: 0.04
      nps_score: 72
    product:
      uptime_sla: "99.95%"
      avg_response_time_ms: 85
      monthly_active_users: 125000
      api_calls_per_day: 8500000
